package cn.edu.whu.boot.allocation.services;


import cn.edu.whu.boot.allocation.entities.Image;

import java.util.List;
import java.util.Map;
import java.util.Optional;

public interface ImageService {
    Optional<String> findFilenameById(int id);

    int countByFilename(String filename);

    List<String> findFilenamesInIds(List<Integer> ids);

    List<Image> findByTaskId(int taskId);

    int countByTaskId(int taskId);

    List<Map<String, Object>> findByTaskIdPaginated(int taskId, int page, int count);

    int insert(Image image);

    void deleteInIds(List<Integer> ids);
}
